### Method

# AppStream ReviewsClient fetch_rating_for_id

#### Declaration [src]

    gint
    as_reviews_client_fetch_rating_for_id (
      AsReviewsClient* rrc,
      const gchar* component_id,
      GError** error
    )

#### Description [src]

Fetch the overall user rating for the given software component ID from the reviews server, as a percentage value (where 100% means a perfect five-star rating). This call does blocking network I/O.

#### Parameters

`component_id`

  Type: `const gchar*`

  The ID of the software component to fetch the rating for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The overall rating percentage, or -1 if no rating was available.